## org.apache.myfaces.custom.form
Class HtmlFormTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlFormTagBase
                      org.apache.myfaces.custom.form.HtmlFormTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlFormTag
extends org.apache.myfaces.taglib.html.HtmlFormTagBase

Version:
  $Revision$ $Date$
Author:
  Mathias Broekelmann (latest modification by $Author$)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlFormTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setPort(java.lang.String port)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setScheme(java.lang.String scheme)`
`void` `setServerName(java.lang.String serverName)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlFormTagBase
`setAccept, setAcceptCharset, setEnctype, setName, setOnreset, setOnsubmit, setTarget`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFormTag

    public HtmlFormTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  See Also:
    `HtmlFormTagBase.setProperties(javax.faces.component.UIComponent)`

### release

    public void release()

  See Also:
    `HtmlFormTagBase.release()`

### setPort

    public void setPort(java.lang.String port)

### setScheme

    public void setScheme(java.lang.String scheme)

### setServerName

    public void setServerName(java.lang.String serverName)